#include "CObject.h"

#ifndef cforeground
#define cforeground

#define max_foreobjects 100

class CForeground
{
private:
    CObject object[max_foreobjects];
    int next_object;

public:

    void init(void);
    void add_object(BITMAP *_pic, float _x, float _y);
    void remove_object(int num);
    void draw_objects(BITMAP *backgr, float s_x, float s_y);

};






#endif
